Bug 860055 - [abrt] rhythmbox-2.97-5.fc18: gst_audio_clock_new: Process /usr/bin/rhythmbox was killed by signal 11 (SIGSEGV)
[abrt] rhythmbox-2.97-5.fc18: gst_audio_clock_new: Process /usr/bin/rhythmbox...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
abrt_hash:bc0db808c4f9192232f62bb4d9e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-24 15:22 EDT by scorpio
Modified: 2012-10-12 08:01 EDT (History)
6 users (show)

See Also:
Fixed In Version: rhythmbox-2.98-3.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-12 01:17:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (4.75 KB, text/plain)
2012-09-24 15:22 EDT, scorpio
no flags Details
File: environ (1.58 KB, text/plain)
2012-09-24 15:22 EDT, scorpio
no flags Details
File: limits (1.29 KB, text/plain)
2012-09-24 15:22 EDT, scorpio
no flags Details
File: backtrace (42.18 KB, text/plain)
2012-09-24 15:22 EDT, scorpio
no flags Details
File: cgroup (130 bytes, text/plain)
2012-09-24 15:22 EDT, scorpio
no flags Details
File: maps (113.54 KB, text/plain)
2012-09-24 15:22 EDT, scorpio
no flags Details
File: dso_list (26.25 KB, text/plain)
2012-09-24 15:22 EDT, scorpio
no flags Details
File: var_log_messages (731 bytes, text/plain)
2012-09-24 15:22 EDT, scorpio
no flags Details
File: open_fds (1.00 KB, text/plain)
2012-09-24 15:23 EDT, scorpio
no flags Details

  None (edit)
Description scorpio 2012-09-24 15:22:37 EDT
Version-Release number of selected component:
rhythmbox-2.97-5.fc18

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
backtrace_rating: 4
cmdline:        rhythmbox '/run/media/scorpio/My Book/Music/Adele/2011 - 21/01 Rolling In The Deep.mp3'
crash_function: gst_audio_clock_new
kernel:         3.6.0-0.rc6.git0.2.fc18.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 gst_audio_clock_new at gstaudioclock.c
: #1 gst_pulsesink_init at pulsesink.c
: #2 g_type_create_instance at gtype.c
: #3 g_object_constructor at gobject.c
: #5 g_object_new_valist at gobject.c
: #7 gst_element_factory_create at gstelementfactory.c
: #8 gst_auto_audio_sink_create_element_with_pretty_name at gstautoaudiosink.c
: #9 gst_auto_audio_sink_find_best at gstautoaudiosink.c
: #10 gst_auto_audio_sink_detect at gstautoaudiosink.c
: #11 gst_auto_audio_sink_change_state at gstautoaudiosink.c
Comment 1 scorpio 2012-09-24 15:22:40 EDT
Created attachment 616691 [details]
File: core_backtrace
Comment 2 scorpio 2012-09-24 15:22:43 EDT
Created attachment 616692 [details]
File: environ
Comment 3 scorpio 2012-09-24 15:22:45 EDT
Created attachment 616693 [details]
File: limits
Comment 4 scorpio 2012-09-24 15:22:48 EDT
Created attachment 616694 [details]
File: backtrace
Comment 5 scorpio 2012-09-24 15:22:50 EDT
Created attachment 616695 [details]
File: cgroup
Comment 6 scorpio 2012-09-24 15:22:53 EDT
Created attachment 616696 [details]
File: maps
Comment 7 scorpio 2012-09-24 15:22:56 EDT
Created attachment 616697 [details]
File: dso_list
Comment 8 scorpio 2012-09-24 15:22:58 EDT
Created attachment 616698 [details]
File: var_log_messages
Comment 9 scorpio 2012-09-24 15:23:01 EDT
Created attachment 616699 [details]
File: open_fds
Comment 10 Adam Williamson 2012-09-25 00:34:31 EDT
Tried to play a file without the right plugin installed, then installed it with yum, then tried to play the file again. Crashed. After re-starting, played the file fine.

backtrace_rating: 4
Package: rhythmbox-2.97-5.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 11 S Mac Aodha 2012-09-26 12:15:17 EDT
Tried to play a file.
Hasn't worked, together with Totem since Alpha release.
Other media players like banshee do however.


backtrace_rating: 4
Package: rhythmbox-2.97-5.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 12 Bill Nottingham 2012-10-02 14:14:27 EDT
Noticed the same thing here.

Program received signal SIGSEGV, Segmentation fault.
gst_audio_clock_new (name=name@entry=0x7fffdb0dbbea "GstPulseSinkClock", 
    func=func@entry=0x7fffdb0cd2e0 <gst_pulsesink_get_time>, 
    user_data=user_data@entry=0x21e4040, destroy_notify=0x4)
    at gstaudioclock.c:142
142	  aclock->func = func;
#0  gst_audio_clock_new (name=name@entry=0x7fffdb0dbbea "GstPulseSinkClock", 
    func=func@entry=0x7fffdb0cd2e0 <gst_pulsesink_get_time>, 
    user_data=user_data@entry=0x21e4040, destroy_notify=0x4)
    at gstaudioclock.c:142
#1  0x00007fffdb0cc874 in gst_pulsesink_init (pulsesink=, 
    klass=<optimized out>) at pulsesink.c:2220
#2  0x000000332cc3011f in g_type_create_instance (type=35033648)
    at gtype.c:1890
#3  0x000000332cc14a38 in g_object_constructor (type=<optimized out>, 
    n_construct_properties=2, construct_params=0x7f6b60) at gobject.c:1854
#4  0x000000332cc16001 in g_object_newv (object_type=object_type@entry=
    35033648, n_parameters=n_parameters@entry=1, parameters=parameters@entry=
    0x239cc30) at gobject.c:1718
#5  0x000000332cc167f0 in g_object_new_valist (object_type=object_type@entry=
    35033648, first_property_name=first_property_name@entry=
    0x33454b9ce2 "name", var_args=var_args@entry=0x7fffffffa658)
    at gobject.c:1835
#6  0x000000332cc16b24 in g_object_new (object_type=35033648, 
    first_property_name=first_property_name@entry=0x33454b9ce2 "name")
    at gobject.c:1550
#7  0x0000003345442e45 in gst_element_factory_create (factory=factory@entry=, 
    name=name@entry=0x21a6410 "autoaudiosink1-actual-sink-pulse")
    at gstelementfactory.c:385
#8  0x00007fffdb2e5314 in gst_auto_audio_sink_create_element_with_pretty_name (
    factory=, sink=) at gstautoaudiosink.c:230
#9  gst_auto_audio_sink_find_best (sink=) at gstautoaudiosink.c:261
#10 gst_auto_audio_sink_detect (sink=) at gstautoaudiosink.c:342
#11 gst_auto_audio_sink_change_state (element=, transition=
    GST_STATE_CHANGE_NULL_TO_READY) at gstautoaudiosink.c:390
#12 0x0000003345441d8c in gst_element_change_state (element=element@entry=, 
    transition=transition@entry=GST_STATE_CHANGE_NULL_TO_READY)
    at gstelement.c:2761
#13 0x00000033454426d8 in gst_element_set_state_func (element=, state=
    GST_STATE_READY) at gstelement.c:2717
#14 0x000000334542f8c7 in gst_bin_element_set_state (next=GST_STATE_READY, 
    current=GST_STATE_NULL, start_time=0, base_time=0, element=, bin=)
    at gstbin.c:2209
#15 gst_bin_change_state_func (element=, transition=
    GST_STATE_CHANGE_NULL_TO_READY) at gstbin.c:2518
#16 0x0000003345441d8c in gst_element_change_state (element=element@entry=, 
    transition=transition@entry=GST_STATE_CHANGE_NULL_TO_READY)
    at gstelement.c:2761
#17 0x00000033454426d8 in gst_element_set_state_func (element=, state=
    GST_STATE_READY) at gstelement.c:2717
#18 0x00007fffdb73331f in gst_switch_sink_commit_new_kid (sink=)
    at gstswitchsink.c:166
#19 gst_switch_sink_set_child (sink=sink@entry=, new_kid=new_kid@entry=)
    at gstswitchsink.c:247
#20 0x00007fffdb731093 in gst_gsettings_audio_sink_change_child (
    sink=sink@entry=) at gstgsettingsaudiosink.c:129
#21 0x00007fffdb7313d6 in gst_gsettings_audio_sink_change_state (element=, 
    transition=GST_STATE_CHANGE_NULL_TO_READY) at gstgsettingsaudiosink.c:292
#22 0x0000003345441d8c in gst_element_change_state (element=element@entry=, 
    transition=transition@entry=GST_STATE_CHANGE_NULL_TO_READY)
    at gstelement.c:2761
#23 0x00000033454426d8 in gst_element_set_state_func (element=, state=
    GST_STATE_READY) at gstelement.c:2717
#24 0x000000334542f8c7 in gst_bin_element_set_state (next=GST_STATE_READY, 
    current=GST_STATE_NULL, start_time=0, base_time=0, element=, bin=)
    at gstbin.c:2209
#25 gst_bin_change_state_func (element=, transition=
    GST_STATE_CHANGE_NULL_TO_READY) at gstbin.c:2518
#26 0x0000003345441d8c in gst_element_change_state (element=element@entry=, 
    transition=transition@entry=GST_STATE_CHANGE_NULL_TO_READY)
    at gstelement.c:2761
#27 0x00000033454426d8 in gst_element_set_state_func (element=, state=
    GST_STATE_READY) at gstelement.c:2717
#28 0x00007fffdbb6216d in autoplug_continue_cb (element=element@entry=, pad=, 
    caps=0x18565c0, group=0x21abcf8) at gstplaybin2.c:3177
#29 0x00007fffd91f3af4 in gst_play_marshal_BOOLEAN__OBJECT_BOXED (closure=
    0x1aa7ca0, return_value=0x7fffffffb060, n_param_values=<optimized out>, 
    param_values=0x7fffffffb110, invocation_hint=<optimized out>, 
    marshal_data=<optimized out>) at gstplay-marshal.c:86
#30 0x000000332cc0f910 in g_closure_invoke (closure=0x1aa7ca0, 
    return_value=return_value@entry=0x7fffffffb060, n_param_values=3, 
    param_values=param_values@entry=0x7fffffffb110, 
    invocation_hint=invocation_hint@entry=0x7fffffffb0b0) at gclosure.c:777
#31 0x000000332cc20d08 in signal_emit_unlocked_R (node=node@entry=0x200e000, 
    detail=detail@entry=0, instance=instance@entry=0xb04b80, 
    emission_return=emission_return@entry=0x7fffffffb200, 
    instance_and_params=instance_and_params@entry=0x7fffffffb110)
    at gsignal.c:3551
#32 0x000000332cc288c7 in g_signal_emit_valist (instance=0xb04b80, 
    signal_id=<optimized out>, detail=0, var_args=var_args@entry=
    0x7fffffffb388) at gsignal.c:3310
#33 0x000000332cc28de2 in g_signal_emit (instance=instance@entry=0xb04b80, 
    signal_id=<optimized out>, detail=detail@entry=0) at gsignal.c:3356
#34 0x00007fffd91ef195 in proxy_autoplug_continue_signal (
    element=element@entry=, pad=<optimized out>, caps=<optimized out>, dec=)
    at gsturidecodebin.c:1551
#35 0x00007fffd91f3af4 in gst_play_marshal_BOOLEAN__OBJECT_BOXED (closure=
    0x1f21ac0, return_value=0x7fffffffb5e0, n_param_values=<optimized out>, 
    param_values=0x7fffffffb690, invocation_hint=<optimized out>, 
    marshal_data=<optimized out>) at gstplay-marshal.c:86
#36 0x000000332cc0f910 in g_closure_invoke (closure=0x1f21ac0, 
    return_value=return_value@entry=0x7fffffffb5e0, n_param_values=3, 
    param_values=param_values@entry=0x7fffffffb690, 
    invocation_hint=invocation_hint@entry=0x7fffffffb630) at gclosure.c:777
#37 0x000000332cc20d08 in signal_emit_unlocked_R (node=node@entry=0x1f88150, 
    detail=detail@entry=0, instance=instance@entry=0xb04db0, 
    emission_return=emission_return@entry=0x7fffffffb780, 
    instance_and_params=instance_and_params@entry=0x7fffffffb690)
    at gsignal.c:3551
#38 0x000000332cc288c7 in g_signal_emit_valist (instance=0xb04db0, 
    signal_id=<optimized out>, detail=0, var_args=var_args@entry=
    0x7fffffffb908) at gsignal.c:3310
#39 0x000000332cc28de2 in g_signal_emit (instance=instance@entry=0xb04db0, 
    signal_id=<optimized out>, detail=detail@entry=0) at gsignal.c:3356
#40 0x00007fffd91ebe79 in analyze_new_pad (dbin=dbin@entry=, src=src@entry=, 
    pad=pad@entry=, caps=caps@entry=0x18565c0, chain=0x21922d0)
    at gstdecodebin2.c:1447
#41 0x00007fffd91edc4f in type_found (typefind=, probability=<optimized out>, 
    caps=0x18565c0, decode_bin=) at gstdecodebin2.c:2285
#42 0x000000332cc0f910 in g_closure_invoke (closure=0x2178500, 
    return_value=return_value@entry=0x0, n_param_values=3, 
    param_values=param_values@entry=0x7fffffffbce0, 
    invocation_hint=invocation_hint@entry=0x7fffffffbc80) at gclosure.c:777
#43 0x000000332cc20d08 in signal_emit_unlocked_R (node=node@entry=0x21635f0, 
    detail=detail@entry=0, instance=instance@entry=0x1eb3c00, 
    emission_return=emission_return@entry=0x0, 
    instance_and_params=instance_and_params@entry=0x7fffffffbce0)
    at gsignal.c:3551
#44 0x000000332cc28c8d in g_signal_emit_valist (instance=0x1eb3c00, 
    signal_id=<optimized out>, detail=0, var_args=var_args@entry=
    0x7fffffffbf58) at gsignal.c:3300
#45 0x000000332cc28de2 in g_signal_emit (instance=instance@entry=0x1eb3c00, 
    signal_id=<optimized out>, detail=detail@entry=0) at gsignal.c:3356
#46 0x00007fffdb51c619 in gst_type_find_element_activate (pad=)
    at gsttypefindelement.c:1003
#47 0x000000334545c9ce in gst_pad_set_active (pad=pad@entry=, active=1)
    at gstpad.c:711
#48 0x000000334543d7a0 in activate_pads (pad=, ret=0x7fffffffc140, 
    active=<optimized out>) at gstelement.c:2845
#49 0x000000334544f336 in gst_iterator_fold (it=it@entry=0xe82300, 
    func=func@entry=0x334543d780 <activate_pads>, ret=ret@entry=
    0x7fffffffc140, user_data=user_data@entry=0x7fffffffc19c)
    at gstiterator.c:549
#50 0x000000334543d711 in iterator_activate_fold_with_resync (iter=iter@entry=
    0xe82300, func=func@entry=0x334543d780 <activate_pads>, 
    user_data=user_data@entry=0x7fffffffc19c) at gstelement.c:2876
#51 0x000000334543fd6f in gst_element_pads_activate (element=element@entry=, 
    active=active@entry=1) at gstelement.c:2920
#52 0x000000334544005b in gst_element_change_state_func (element=, 
    transition=<optimized out>) at gstelement.c:2990
#53 0x00007fffdb51d028 in gst_type_find_element_change_state (element=, 
    transition=GST_STATE_CHANGE_READY_TO_PAUSED) at gsttypefindelement.c:1031
#54 0x0000003345441d8c in gst_element_change_state (element=element@entry=, 
    transition=transition@entry=GST_STATE_CHANGE_READY_TO_PAUSED)
    at gstelement.c:2761
#55 0x00000033454426d8 in gst_element_set_state_func (element=, state=
    GST_STATE_PAUSED) at gstelement.c:2717
#56 0x000000334542f8c7 in gst_bin_element_set_state (next=GST_STATE_PAUSED, 
    current=GST_STATE_READY, start_time=0, base_time=0, element=, bin=)
    at gstbin.c:2209
#57 gst_bin_change_state_func (element=, transition=
    GST_STATE_CHANGE_READY_TO_PAUSED) at gstbin.c:2518
#58 0x00007fffd91ea897 in gst_decode_bin_change_state (element=, transition=
    GST_STATE_CHANGE_READY_TO_PAUSED) at gstdecodebin2.c:4027
#59 0x0000003345441d8c in gst_element_change_state (element=element@entry=, 
    transition=<optimized out>) at gstelement.c:2761
#60 0x0000003345442233 in gst_element_continue_state (element=element@entry=, 
    ret=ret@entry=GST_STATE_CHANGE_SUCCESS) at gstelement.c:2444
#61 0x0000003345441e0f in gst_element_change_state (element=element@entry=, 
    transition=transition@entry=GST_STATE_CHANGE_NULL_TO_READY)
    at gstelement.c:2798
#62 0x00000033454426d8 in gst_element_set_state_func (element=, state=
    GST_STATE_PAUSED) at gstelement.c:2717
#63 0x000000334542f8c7 in gst_bin_element_set_state (next=GST_STATE_PAUSED, 
    current=GST_STATE_READY, start_time=0, base_time=0, element=, bin=)
    at gstbin.c:2209
#64 gst_bin_change_state_func (element=, transition=
    GST_STATE_CHANGE_READY_TO_PAUSED) at gstbin.c:2518
#65 0x00007fffd91f2907 in gst_uri_decode_bin_change_state (element=, 
    transition=<optimized out>) at gsturidecodebin.c:2500
#66 0x0000003345441d8c in gst_element_change_state (element=element@entry=, 
    transition=transition@entry=GST_STATE_CHANGE_READY_TO_PAUSED)
    at gstelement.c:2761
#67 0x00000033454426d8 in gst_element_set_state_func (element=, state=
    GST_STATE_PAUSED) at gstelement.c:2717
#68 0x000000334542f8c7 in gst_bin_element_set_state (next=GST_STATE_PAUSED, 
    current=GST_STATE_READY, start_time=0, base_time=0, element=, bin=)
    at gstbin.c:2209
#69 gst_bin_change_state_func (element=, transition=
    GST_STATE_CHANGE_READY_TO_PAUSED) at gstbin.c:2518
#70 0x00000033454605f5 in gst_pipeline_change_state (element=, transition=
    GST_STATE_CHANGE_READY_TO_PAUSED) at gstpipeline.c:482
#71 0x00007fffdbb64801 in gst_play_bin_change_state (element=, transition=
    GST_STATE_CHANGE_READY_TO_PAUSED) at gstplaybin2.c:3936
#72 0x0000003345441d8c in gst_element_change_state (element=element@entry=, 
    transition=transition@entry=GST_STATE_CHANGE_READY_TO_PAUSED)
    at gstelement.c:2761
#73 0x00000033454426d8 in gst_element_set_state_func (element=, state=
    GST_STATE_PLAYING) at gstelement.c:2717
#74 0x0000003340cdbbce in start_state_change (mp=, state=GST_STATE_PLAYING, 
    action=FINISH_TRACK_CHANGE) at rb-player-gst.c:383
#75 0x0000003340cdbe04 in impl_play (player=<optimized out>, 
    play_type=<optimized out>, crossfade=<optimized out>, error=0x7fffffffcb90)
    at rb-player-gst.c:854
#76 0x0000003340c5a042 in rb_shell_player_open_location (player=player@entry=, 
    entry=entry@entry=0x1743630, play_type=play_type@entry=
    RB_PLAYER_PLAY_REPLACE, error=error@entry=0x7fffffffcb90)
    at rb-shell-player.c:1681
#77 0x0000003340c5ba14 in rb_shell_player_set_playing_entry (
    player=player@entry=, entry=entry@entry=0x1743630, 
    out_of_order=out_of_order@entry=1, wait_for_eos=wait_for_eos@entry=0, 
    error=error@entry=0x7fffffffcc58) at rb-shell-player.c:1796
#78 0x0000003340c5dea4 in rb_shell_player_playpause (player=player@entry=, 
    unused=unused@entry=0, error=error@entry=0x7fffffffcc58)
    at rb-shell-player.c:2456
#79 0x0000003340c5e0a6 in rb_shell_player_cmd_play (action=<optimized out>, 
    player=) at rb-shell-player.c:2342
#80 0x000000332cc0f910 in g_closure_invoke (closure=0x86cef0, 
    return_value=return_value@entry=0x0, n_param_values=1, 
    param_values=param_values@entry=0x7fffffffce40, 
    invocation_hint=invocation_hint@entry=0x7fffffffcde0) at gclosure.c:777
#81 0x000000332cc20d08 in signal_emit_unlocked_R (node=node@entry=0x969ce0, 
    detail=detail@entry=0, instance=instance@entry=0x9e40b0, 
    emission_return=emission_return@entry=0x0, 
    instance_and_params=instance_and_params@entry=0x7fffffffce40)
    at gsignal.c:3551
#82 0x000000332cc28c8d in g_signal_emit_valist (instance=0x9e40b0, 
    signal_id=<optimized out>, detail=0, var_args=var_args@entry=
    0x7fffffffd088) at gsignal.c:3300
#83 0x000000332cc28de2 in g_signal_emit (instance=instance@entry=0x9e40b0, 
    signal_id=<optimized out>, detail=detail@entry=0) at gsignal.c:3356
#84 0x000000333889a748 in _gtk_action_emit_activate (action=)
    at gtkaction.c:801
#85 0x000000333889ad9d in gtk_action_activate (action=<optimized out>)
    at gtkaction.c:832
#86 0x0000003338a6a259 in button_clicked (widget=<optimized out>, button=)
    at gtktoolbutton.c:877
#87 0x000000332cc0f910 in g_closure_invoke (closure=0xd92970, 
    return_value=return_value@entry=0x0, n_param_values=1, 
    param_values=param_values@entry=0x7fffffffd360, 
    invocation_hint=invocation_hint@entry=0x7fffffffd300) at gclosure.c:777
#88 0x000000332cc20d08 in signal_emit_unlocked_R (node=node@entry=0x9d8e00, 
    detail=detail@entry=0, instance=instance@entry=0xdb33f0, 
    emission_return=emission_return@entry=0x0, 
    instance_and_params=instance_and_params@entry=0x7fffffffd360)
    at gsignal.c:3551
#89 0x000000332cc28c8d in g_signal_emit_valist (instance=0xdb33f0, 
    signal_id=<optimized out>, detail=0, var_args=var_args@entry=
    0x7fffffffd5a8) at gsignal.c:3300
#90 0x000000332cc28de2 in g_signal_emit (instance=<optimized out>, 
    signal_id=<optimized out>, detail=detail@entry=0) at gsignal.c:3356
#91 0x00000033388c03ab in gtk_button_clicked (button=<optimized out>)
    at gtkbutton.c:1308
#92 0x0000003338a63e8d in gtk_toggle_button_released (button=)
    at gtktogglebutton.c:599
#93 0x000000332cc0fbd7 in _g_closure_invoke_va (closure=closure@entry=
    0xa10330, return_value=return_value@entry=0x0, instance=instance@entry=
    0xdb33f0, args=args@entry=0x7fffffffd958, n_params=0, param_types=0x0)
    at gclosure.c:840
#94 0x000000332cc283a8 in g_signal_emit_valist (instance=0xdb33f0, 
    signal_id=<optimized out>, detail=0, var_args=var_args@entry=
    0x7fffffffd958) at gsignal.c:3211
#95 0x000000332cc28de2 in g_signal_emit (instance=<optimized out>, 
    signal_id=<optimized out>, detail=detail@entry=0) at gsignal.c:3356
#96 0x00000033388bfdb3 in gtk_button_button_release (widget=<optimized out>, 
    event=<optimized out>) at gtkbutton.c:1802
#97 gtk_button_button_release (widget=<optimized out>, event=<optimized out>)
    at gtkbutton.c:1794
#98 0x000000333898d48f in _gtk_marshal_BOOLEAN__BOXEDv (closure=0x84f590, 
    return_value=0x7fffffffdba0, instance=0xdb33f0, args=<optimized out>, 
    marshal_data=<optimized out>, n_params=<optimized out>, param_types=
    0x84fb50) at gtkmarshalers.c:130
#99 0x000000332cc0fbd7 in _g_closure_invoke_va (closure=closure@entry=
    0x84f590, return_value=return_value@entry=0x7fffffffdba0, 
    instance=instance@entry=0xdb33f0, args=args@entry=0x7fffffffdd68, n_params=
    1, param_types=0x84fb50) at gclosure.c:840
#100 0x000000332cc283a8 in g_signal_emit_valist (instance=0xdb33f0, 
    signal_id=<optimized out>, detail=0, var_args=var_args@entry=
    0x7fffffffdd68) at gsignal.c:3211
#101 0x000000332cc28de2 in g_signal_emit (instance=instance@entry=0xdb33f0, 
    signal_id=<optimized out>, detail=detail@entry=0) at gsignal.c:3356
#102 0x0000003338abb1ee in gtk_widget_event_internal (widget=widget@entry=, 
    event=event@entry=0x1b2fa70) at gtkwidget.c:6294
#103 0x0000003338abb609 in gtk_widget_event (widget=widget@entry=, 
    event=event@entry=0x1b2fa70) at gtkwidget.c:5951
#104 0x000000333898b396 in propagate_event_up (topmost=<optimized out>, 
    event=<optimized out>, widget=) at gtkmain.c:2400
#105 propagate_event (widget=<optimized out>, event=0x1b2fa70, 
    captured=<optimized out>, topmost=0x0) at gtkmain.c:2500
#106 0x000000333898d033 in gtk_main_do_event (event=0x1b2fa70)
    at gtkmain.c:1723
#107 0x0000003337c4a7e2 in gdk_event_source_dispatch (source=source@entry=
    0x88fdf0, callback=<optimized out>, user_data=<optimized out>)
    at gdkeventsource.c:358
#108 0x000000332a047a95 in g_main_dispatch (context=0x62f010) at gmain.c:2715
#109 g_main_context_dispatch (context=context@entry=0x62f010) at gmain.c:3219
#110 0x000000332a047dc8 in g_main_context_iterate (context=context@entry=
    0x62f010, block=block@entry=1, dispatch=dispatch@entry=1, 
    self=<optimized out>) at gmain.c:3290
#111 0x000000332a047e84 in g_main_context_iteration (context=0x62f010, 
    context@entry=0x0, may_block=may_block@entry=1) at gmain.c:3351
#112 0x000000332dc9a72c in g_application_run (application=, argc=argc@entry=1, 
    argv=argv@entry=0x7fffffffe1a8) at gapplication.c:1620
#113 0x000000000040117f in main (argc=1, argv=0x7fffffffe1a8) at main.c:99
Comment 13 Bill Nottingham 2012-10-02 14:15:43 EDT
Noticed the following in stdout/stderr:
Rhythmbox-Message: Missing plugin: gstreamer|0.10|rhythmbox|Vorbis decoder|decoder-audio/x-vorbis
Rhythmbox-Message: Automatic missing codec installation not supported (helper script missing)

However, vorbis plugins are installed for both 0.10 and 1.0.
Comment 14 Fedora Update System 2012-10-11 08:32:38 EDT
rhythmbox-2.98-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/rhythmbox-2.98-3.fc18
Comment 15 scorpio 2012-10-12 07:55:09 EDT
Fedora 18 alpha:

same problem with RB 2.97 noticed, it always crashed when i tried to play a song
totem always asks for missing codecs although all gstreamer-plugins installed
upgrade to RB 2.98 that was released today fixed the problem
Comment 16 Kalev Lember 2012-10-12 08:01:27 EDT
Excellent, thanks for testing this.

Note You need to log in before you can comment on or make changes to this bug.